121

I know the thread How do I install Adobe Acrobat Reader deb package downloaded from Adobe website? However, there is no Linux anymore in the installation site here. Unsuccessful attempts

  • I do DriraWassim's proposal which does not add anything to apt-get and does not show the installed .deb package in the path/search

    sudo apt-get install libxml2:i386 
    sudo apt-get update
    sudo apt-get upgrade 
    apt-cache search adobereader-enu
    

    I download the newest .deb package here and run it. I cannot find the application anywhere in the system. It is not in the path and not in Ubuntu's search. How can you start it?

System: Ubuntu 16.04, 64 bit
Hardware: Macbook Air 2013-mid
Linux kernel: 4.6

124

I followed the tips below on Kubuntu 16.04 64 bit:

sudo add-apt-repository "deb http://archive.canonical.com/ precise partner"
sudo apt-get update
sudo apt install adobereader-enu

After properly installed Adobe Reader, don’t forget to remove the Canonical Partners repository for Precise:

sudo add-apt-repository -r "deb http://archive.canonical.com/ precise partner"
sudo apt update
  • 9
    It actually installs acroread-bin:i386 rather than adobereader-enu – pd12 Aug 21 '16 at 9:07
  • 7
    Why does this install so many packages ? It seems this procedure re-installs most of my system. I saw things like systemd – bli Oct 14 '16 at 17:19
  • 33
    @bli Yes this is probably the wrong approach, you can get the Deb from here rather than add an old repository which is more likely to break your system. – Ads20000 Nov 20 '16 at 22:58
  • 4
    @ses There's nothing Ubuntu can do about that, Adobe aren't updating Adobe Reader for Linux. You can, however, install Adobe Reader 11 or DC using Wine if you wish (try using PlayOnLinux (for Reader DC), it makes the process fairly self-explanatory). – Ads20000 Nov 20 '16 at 23:00
  • 23
    ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/… should be in the accepted answer, and it is the latest version available from adobe. – Jeff Xiao Dec 25 '16 at 18:11
52

For Adobe Reader 9.5.5 (running natively without Wine)

Don't add the Ubuntu 12.04 Partner repository, you're not really supposed to add repositories from previous Ubuntu versions! Get the Deb from here (source - it's also linked in the question), no it won't be automatically updated but since it's no longer supported (and Ubuntu can't patch security vulnerabilities for it in Ubuntu 12.04 anyway because it's proprietary) that doesn't matter. There's less of a chance you'll ruin your system if you get it this way.

If you can't find/run Adobe Reader, you will need to run sudo apt -f install to resolve dependencies. If it still doesn't work, try sudo apt install libxml2:i386.

This is, of course, a very outdated version of Adobe Reader, but this is not Ubuntu's fault, Adobe haven't updated the Linux client of Adobe Reader. You can, however, get a newer version using the process below (this installs a Windows version of Adobe Reader on Ubuntu).

For Adobe Acrobat Reader DC (running with Wine)

  1. Install PlayOnLinux (as of 22 December 2018 you must get it this way, and not through Ubuntu Software, to ensure that you have the Wine version required to install Adobe Acrobat Reader DC)
    1. Press Ctrl + Alt + T
    2. Type sudo apt install wine:i386, press Enter , type your password, Enter , then type Y (when prompted), and Enter
    3. Click on the link above
    4. Click 'Ubuntu'
    5. For your Ubuntu version (to find that out, type lsb_release -a into Terminal and press Enter, look at the text next to codename), select the first line to be put into Terminal, press Ctrl + C then switch back to the Terminal, press Ctrl + Shift + V and press Enter. Follow the prompts in Terminal, do that for each of the four lines for your Ubuntu version.
  2. Load PlayOnLinux (press Super, type PlayOnLinux, press Enter)
  3. Click 'Install' (in the toolbar)
  4. Type 'Adobe Acrobat Reader DC' in the search bar
  5. Click 'Adobe Acrobat Reader DC'
  6. Click 'Install' (bottom-right)
  7. Follow the install screens
  8. Once installed, click 'Adobe Acrobat Reader DC'
  9. Click 'Run' (in the toolbar)

You'll need to open PlayOnLinux to run Adobe Reader DC each time (note that you can have this installed alongside Adobe Reader 9.5.5). You can drag the desktop file into the Launcher to get a button there, you can also add an icon for it in the Ubuntu Dash using alacarte ('Main Menu'). I might add instructions for that later (seems unlikely given that I wrote that over two years ago!).

  • 1
    When using the deb acroread doesn't run, I needed to install libxml2:i386 – Gerhard Burger Nov 25 '16 at 11:28
  • Oh sorry, sudo apt -f install may have done that automatically? Should I add that to the answer (which command?)? – Ads20000 Nov 29 '16 at 16:09
  • I installed with the Ubuntu Software Center so I guess it's a missing dependency. Thanks for your guide, works great! – Gerhard Burger Nov 29 '16 at 20:56
  • 1
    FTP client users: To connect, use "anonymous" as the login, and use your e-mail address as the password. For example, login: anonymous password: ftpuser@adobe.com ftp.adobe.com/signon.txt – Luka Jan 22 '18 at 14:38
  • Another way to get the package is to download it from Launchpad. – Ruslan May 30 '18 at 12:23
13

Yes there is, but the support has been dropped. Check this out and follow instructions to install:

  1. Open up terminal by pressing Ctrl+Alt+T on keyboard. When it opens, paste the command below and hit enter to add the repository:

    sudo add-apt-repository "deb http://archive.canonical.com/ precise partner"
    

    Type in your user password when it asks. Note that there’s no visual feed back when you typing a password.

  2. After you added the repository, update package lists and install the acroread package by running below commands one by one:

    sudo apt-get update
    sudo apt-get install acroread
    

    Once installed, you should be able to open it from Unity dash or Application menu.

  3. After properly installed Adobe Reader, don’t forget to remove the Canonical Partners repository for Precise:

    sudo add-apt-repository -r "deb http://archive.canonical.com/ precise partner"
    sudo apt-get update
    
  4. How to Set Adobe Reader as default PDF reader:

Run command below in terminal to edit the config file:

    sudo gedit /etc/gnome/defaults.list

When the file opens, do:

Find out and change the line

application/pdf=evince.desktop

into:

application/pdf=acroread.desktop

Add below line into the end:

application/fdf=acroread.desktop
application/xdp=acroread.desktop
application/xfdf=acroread.desktop
application/pdx=acroread.desktop

Finally save the file and restart nautilus (run command nautilus -q in terminal) to apply changes.

  • Why is the support dropped? – Léo Léopold Hertz 준영 May 5 '16 at 11:29
  • No idea. Ever since 13.10. – Mookey May 5 '16 at 13:28
  • 16
    I get that some packages could not be installed when trying this (for 16.04): " acroread : Depends: nspluginwrapper but it is not installable". Trying to install nspluginwrapper indicates it has no installation candidate. – Steve Kroon Jun 29 '16 at 8:23
  • 7
    Update: by running sudo apt install adobereader-enu , I was able to successfully install. – Steve Kroon Jun 29 '16 at 8:32
  • 1
    the version of acrobat is too old there. it does support a editing calendar-like inputs. – ses Oct 16 '16 at 22:40
12

You should just be able to download the .deb from here: ftp://ftp.adobe.com/pub/adobe/reader/unix/9.x/9.5.5/enu/AdbeRdr9.5.5-1_i386linux_enu.deb

and install it by opening that file. Try installing through the terminal to see any errors if it is not working through the software manager GUI: https://unix.stackexchange.com/a/159103/173836

I typically open files with Acrobat by using the terminal and the acroread filename.pdf command. It took a while to open the first time I ran it.

When I most recently installed it on Ubuntu 16.04, I got a few errors:

libxml2.so.2: cannot open shared object file: No such file or directory

and

Gtk-Message: Failed to load module "canberra-gtk-module"

I fixed these with

sudo apt-get install libxml2:i386 libstdc++6:i386 (from here)

and

sudo apt-get install libcanberra-gtk-module:i386 (from here)

Apparently there can be another error related to adobereader-enu:i386; run:

sudo apt-get install libgtk2.0-0
sudo apt-get -f install

Then install the .deb file again and you should be sorted.

  • 1
    Have you tried installing it? If this was that simple, people would not have gone through all this – Anwar May 27 '17 at 4:13
  • 1
    This does in fact work. I'll edit the answer with some additional steps in case someone gets the errors I got. – skepticscript Jul 19 '17 at 9:56
  • The version of libgtk2.0-0 is not high enough to install this particular deb file. Adobe requires libgtk version 2.4 and on Ubuntu 17.04 there is only version 2.24 of libgtk – jr0cket Jul 20 '17 at 9:58
  • 1
    The question was for Ubuntu 16.04. It works on that version. – skepticscript Jul 21 '17 at 19:02
  • 1
    Installed after following the procedure, but it failed silently when launching. – user276851 Jan 17 '18 at 20:56
9

Installing Dependencies for adobe reader

sudo apt-get install gtk2-engines-murrine:i386 libcanberra-gtk-module:i386 libatk-adaptor:i386 libgail-common:i386

Install Adobe Reader using the following commands

sudo add-apt-repository "deb http://archive.canonical.com/ precise partner" 
sudo apt-get update 
sudo apt-get install adobereader-enu

  After installing you have to Remove precise repository using the following commands

sudo add-apt-repository -r "deb http://archive.canonical.com/ precise partner" 
sudo apt-get update

For Configuration I Wrote a breif article Installing Adobe Reader in Ubuntu 16.04/16.06

  • Yes, it works (tested on 16.04.3). Thank you! – user276851 Feb 2 '18 at 19:54
4

You can still use its latest version "Adobe Acrobat Reader DC" along with wine although Adobe discontinued their PDF reader software for Linux several years ago. It works perfect for me.

First install wine and winetricks

sudo apt install wine-stable winetricks

Prepare wine to receive Acrobat Reader DC installation:

winetricks mspatcha

Download the latest version of Adobe Reader for Windows 10 from official site http://get.adobe.com/uk/reader/otherversions/

A file with extension exe will be downloaded. (AcroRdrDC1801120040_en_US.exe) Now install that exe file in wine:

wine AcroRdrDC1801120040_en_US.exe

(Use the same name as that of downloaded exe file)

Click Install button.

Wait until the setup is completed and click on Finish.

Now search for Acrobat Reader in applications menu and open it.

Select Always open with Protected Mode Disabled. (Adobe Reader DC runs in protected mode by default to provide an added layer of security)

Accept Licence.

Now you can open your files using Acrobat Reader DC even on Ubuntu.

  • Worked in Manjaro too, though the winetricks mspatcha did end with an error. Note: the executable to run with wine is AcroRd32.exe – zezollo May 28 '18 at 15:05
  • This doesn't work for me as of 2019-08-03, this file given by adobe.com is readerdc_uk_xa_install.exe which is 1.1MB and simply opens an "Adobe Download Manager" which sits doing nothing; when I close the app a browser window is opened to the download page for downloading the app which sent me to that download page. The download page tells_me it's going to give me a 170MB file, but instead gives me the downloader, so it's probably blocking based on my UA not being a MS Windows one or something. – pbhj Aug 3 at 11:54
1

I found that:

sudo apt install adoberead-enu

...throws an error to the effect that it could not find the package adoberead-enu. However when I did:

sudo apt install adoberead-bin:i386

...it worked, and the result seems to be a working Adobe Reader.

I am using Ubuntu 16.04.

  • 1
    I am using Ubuntu 16.04 and it gives E: Unable to locate package adoberead-bin:i386 – Mateusz Konieczny Apr 30 at 16:52

protected by Community Nov 4 '16 at 13:59

Thank you for your interest in this question. Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count).

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.